Show / Hide Table of Contents

# CancellationTokenExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class CancellationTokenExtensions

##### Inheritance

System.Object → CancellationTokenExtensions

### Members

#### Methods

Name | Description
--- | ---
AddTo(IDisposable, CancellationToken) |
RegisterWithoutCaptureExecutionContext(CancellationToken, Action) |
RegisterWithoutCaptureExecutionContext(CancellationToken, Action<Object>, Object) |
ToUniTask(CancellationToken) |
WaitUntilCanceled(CancellationToken) |

### Methods

#### AddTo(IDisposable, CancellationToken)

    public static CancellationTokenRegistration AddTo(this IDisposable disposable, CancellationToken cancellationToken)

##### Parameters

`disposable` IDisposable
`cancellationToken` System.Threading.CancellationToken

##### Returns

System.Threading.CancellationTokenRegistration

#### RegisterWithoutCaptureExecutionContext(CancellationToken, Action)

    public static CancellationTokenRegistration RegisterWithoutCaptureExecutionContext(this CancellationToken cancellationToken, Action callback)

##### Parameters

`cancellationToken` System.Threading.CancellationToken
`callback` Action

##### Returns

System.Threading.CancellationTokenRegistration

#### RegisterWithoutCaptureExecutionContext(CancellationToken, Action<Object>, Object)

    public static CancellationTokenRegistration RegisterWithoutCaptureExecutionContext(this CancellationToken cancellationToken, Action<object> callback, object state)

##### Parameters

`cancellationToken` System.Threading.CancellationToken
`callback` Action<System.Object>
`state` System.Object

##### Returns

System.Threading.CancellationTokenRegistration

#### ToUniTask(CancellationToken)

    public static (UniTask, CancellationTokenRegistration) ToUniTask(this CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

System.ValueTuple<UniTask, System.Threading.CancellationTokenRegistration>

#### WaitUntilCanceled(CancellationToken)

    public static CancellationTokenAwaitable WaitUntilCanceled(this CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

CancellationTokenAwaitable